### All parameters listed in this document are required unless otherwise specified

className=com.starquest.sqdr.apply.kafka.KafkaConfluentAvroProcessor

# ----------------------------- #
# > Processor properties 
# ----------------------------- #

### Create the Cloud API keys at https://confluent.cloud/settings/api-keys
confluent.cloud.api.key=
confluent.cloud.api.secret=

### Confluent Cloud Environment Information
confluent.environment.id=

### Confluent Cloud Cluster Information
confluent.kafka.cluster.id=
confluent.kafka.cluster.api.key=
confluent.kafka.cluster.api.secret=

### Confluent Cloud Schema Registry Information
confluent.schema.registry.cluster.id=
confluent.schema.registry.cluster.api.key=
confluent.schema.registry.cluster.api.secret=

### Other miscellaneous properties
topic=stelo.{1}.{2}
# isNotInputted=false
# isValidateDuplicateTopic=false
# topic.partitions_count=1
# topic.replication_factor=3

# ------------------------------------------------------------------------ #
# > Overwrite Kafka Producer configs:
# > https://kafka.apache.org/documentation/#producerconfigs
# ------------------------------------------------------------------------ #

# bootstrap.servers=pkc-4r087.us-west2.gcp.confluent.cloud:9092
# schema.registry.url=https://psrc-30dr2.us-central1.gcp.confluent.cloud